Debian Bug report logs - #652759
frei0r: FTBFS: filter/facedetect/facedetect.c:231:36: error: too few arguments to function 'cvHaarDetectObjects'

version graph

Package: src:frei0r; Maintainer for src:frei0r is Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Tue, 20 Dec 2011 15:06:42 UTC

Severity: serious

Tags: fixed-upstream, sid, wheezy

Merged with 657942

Found in version frei0r/1.1.22git20091109-1.1

Fixed in version frei0r/1.1.22git20091109-1.2

Done: Neil Williams <codehelp@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Luca Bigliardi <shammash@artha.org>:
Bug#652759; Package src:frei0r. (Tue, 20 Dec 2011 15:06:45 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Luca Bigliardi <shammash@artha.org>. (Tue, 20 Dec 2011 15:06:45 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: frei0r: FTBFS: filter/facedetect/facedetect.c:231:36: error: too few arguments to function 'cvHaarDetectObjects'
Date: Tue, 20 Dec 2011 15:49:02 +0100
Source: frei0r
Version: 1.1.22git20091109-1.1
Severity: serious
Tags: wheezy sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20111220 qa-ftbfs
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

Relevant part:
> /bin/bash ../libtool  --tag=CC --tag=disable-static  --mode=compile gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I../include  -I../include   -I/usr/include/opencv   -DOPENCV_PREFIX=/usr -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -Wall  -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -Wall -c -o facedetect_la-facedetect.lo `test -f 'filter/facedetect/facedetect.c' || echo './'`filter/facedetect/facedetect.c
> libtool: compile:  gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I../include -I../include -I/usr/include/opencv -DOPENCV_PREFIX=/usr -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -Wall -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -Wall -c filter/facedetect/facedetect.c  -fPIC -DPIC -o .libs/facedetect_la-facedetect.o
> filter/facedetect/facedetect.c: In function 'detect_and_draw':
> filter/facedetect/facedetect.c:231:36: error: too few arguments to function 'cvHaarDetectObjects'
> /usr/include/opencv2/objdetect/objdetect.hpp:137:15: note: declared here
> make[2]: *** [facedetect_la-facedetect.lo] Error 1

The full build log is available from:
   http://people.debian.org/~lucas/logs/2011/12/20/frei0r_1.1.22git20091109-1.1_lsid64.buildlog

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.




Added indication that bug 652759 blocks 634797 Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Sun, 15 Jan 2012 09:36:55 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Luca Bigliardi <shammash@artha.org>:
Bug#652759; Package src:frei0r. (Sat, 11 Feb 2012 03:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Luca Bigliardi <shammash@artha.org>. (Sat, 11 Feb 2012 03:15:03 GMT) Full text and rfc822 format available.

Message #12 received at 652759@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: 652759@bugs.debian.org
Cc: control@bugs.debian.org
Subject: frei0r: FTBFS: filter/facedetect/facedetect.c:231:36: error: too few, arguments to function 'cvHaarDetectObjects'
Date: Sat, 11 Feb 2012 04:14:16 +0100
[Message part 1 (text/plain, inline)]
tags 652759 + fixed-upstream
thanks

would be fixed by a new upload, see also my review of the package on
debian-mentors:

http://lists.debian.org/debian-mentors/2012/02/msg00013.html
-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Added tag(s) fixed-upstream. Request was from Michael Biebl <biebl@debian.org> to control@bugs.debian.org. (Sat, 11 Feb 2012 03:15:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Luca Bigliardi <shammash@artha.org>:
Bug#652759; Package src:frei0r. (Fri, 17 Feb 2012 00:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Luca Bigliardi <shammash@artha.org>. (Fri, 17 Feb 2012 00:36:06 GMT) Full text and rfc822 format available.

Message #19 received at 652759@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Jaromil <jaromil@dyne.org>
Cc: Michael Biebl <biebl@debian.org>, shammash@artha.org, 634797@bugs.debian.org, 652759@bugs.debian.org
Subject: Re: RFS: frei0r-plugins (upstream 1.3)
Date: Fri, 17 Feb 2012 01:34:30 +0100
[Message part 1 (text/plain, inline)]
Hi,

Jaromil <jaromil@dyne.org> (15/02/2012):
> I'm on the task of packaging a new 1.4 upstream release and while
> doing so I will keep an eye on the list of issues you are mentioning
> here.

any chance we could get a fixed 1.3 package or so? It would greatly help
going forward in the opencv transition, and once everyone migrates, you
should be free to get your hands on 1.4 or higher.

As can be seen on [1] (don't forget to check “good”), frei0r is AFAICT
the only remaining blocker for that transition (meaning both “bad” and
not “sid only”), so a fix for #652759 ASAP would be very welcome.

 1. http://release.debian.org/transitions/html/opencv.html

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Luca Bigliardi <shammash@artha.org>:
Bug#652759; Package src:frei0r. (Wed, 29 Feb 2012 02:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Luca Bigliardi <shammash@artha.org>. (Wed, 29 Feb 2012 02:12:05 GMT) Full text and rfc822 format available.

Message #24 received at 652759@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Jaromil <jaromil@dyne.org>
Cc: shammash@artha.org, 634797@bugs.debian.org, 652759@bugs.debian.org
Subject: Re: Fwd: Re: RFS: frei0r-plugins (upstream 1.3)
Date: Wed, 29 Feb 2012 03:08:48 +0100
[Message part 1 (text/plain, inline)]
Hi again,

On 15.02.2012 12:13, Jaromil wrote:

> 
> On Wed, 15 Feb 2012, Michael Biebl wrote:

>> any chance you could have a look at frei0r-plugins?
> 
> I'm on the task of packaging a new 1.4 upstream release and while doing so
> I will keep an eye on the list of issues you are mentioning here.

since two weeks have passed since our last conversation, I'm wondering
if you have made any progress? If a 1.4 release takes more time, would
it be possible for you to fix the issues I outlined in my email to
debian-mentors and we upload a 1.3-1 in the mean time?

Cheers,
Michael


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Forcibly Merged 652759 657942. Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Sat, 03 Mar 2012 09:45:51 GMT) Full text and rfc822 format available.

Added indication that bug 652759 blocks 657410 Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Sat, 03 Mar 2012 09:57:16 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Luca Bigliardi <shammash@artha.org>:
Bug#652759; Package src:frei0r. (Sat, 03 Mar 2012 10:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to Luca Bigliardi <shammash@artha.org>. (Sat, 03 Mar 2012 10:15:05 GMT) Full text and rfc822 format available.

Message #33 received at 652759@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 652759@bugs.debian.org, debian-release@lists.debian.org
Cc: gregor herrmann <gregoa@debian.org>, 657410@bugs.debian.org
Subject: frei0r patch, opencv transition and cheese
Date: Sat, 3 Mar 2012 10:12:57 +0000
[Message part 1 (text/plain, inline)]
In an attempt to allow Gregor's patch to #657410 to be uploaded to fix
cheese, I've investigated the FTBFS of frei0r and I have a patch
(attached).

debdiff ../frei0r_1.1.22git20091109-1.1.dsc ../frei0r_1.1.22git20091109-1.2.dsc
diffstat for frei0r_1.1.22git20091109-1.1 frei0r_1.1.22git20091109-1.2

 frei0r-1.1.22git20091109/debian/changelog |   10 ++++++++++
 frei0r-1.1.22git20091109/debian/control   |    1 +
 frei0r-1.1.22git20091109/debian/rules     |    9 +++++++++
 src/filter/facedetect/facedetect.c        |    2 +-
 4 files changed, 21 insertions(+), 1 deletion(-)

The reason for the FTBFS is that libopencv-objdetect-dev contains
the /usr/include/opencv2/objdetect/objdetect.hpp header which has had
an ABI-incompatible change to cvHaarDetectObjects - removing the
definition with 7 arguments and adding a definition with 8. 

Old:
http://www.emgu.com/wiki/files/1.3.0.0/html/55a16889-537c-534f-f2fa-fbbe60e1d8d4.htm

The current header adds a maxSize, so the patch simply sets the maxSize
to the same as the minSize.

frei0r doesn't have a patch system (source format 1.0 - undeclared), so
I haven't added one - simply added a suitable clean target so that the
autotools changes are handled. 

The rebuilt package also allows the frei0r-plugins package to install
cleanly, so I've merged with 657942.

There is an RFS but it doesn't look ready and includes lots more
changes than just fixing the FTBFS.

http://lists.debian.org/debian-mentors/2012/02/msg00013.html

Please let me know if this is OK to upload.

-- 


Neil Williams
=============
http://www.linux.codehelp.co.uk/

[652759.diff (text/x-diff, attachment)]
[Message part 3 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Luca Bigliardi <shammash@artha.org>:
Bug#652759; Package src:frei0r. (Sat, 03 Mar 2012 10:27:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Luca Bigliardi <shammash@artha.org>. (Sat, 03 Mar 2012 10:27:18 GMT) Full text and rfc822 format available.

Message #38 received at 652759@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Neil Williams <codehelp@debian.org>
Cc: 652759@bugs.debian.org, debian-release@lists.debian.org, gregor herrmann <gregoa@debian.org>, 657410@bugs.debian.org
Subject: Re: frei0r patch, opencv transition and cheese
Date: Sat, 3 Mar 2012 11:23:47 +0100
[Message part 1 (text/plain, inline)]
Hi Neil.

Neil Williams <codehelp@debian.org> (03/03/2012):
> There is an RFS but it doesn't look ready and includes lots more
> changes than just fixing the FTBFS.
> 
> http://lists.debian.org/debian-mentors/2012/02/msg00013.html
> 
> Please let me know if this is OK to upload.

Michael and I have tried to get some news, be it about a fixed version
of this RFS (which indeed didn't look like ready), or the status of the
new upstream version, but AFAICT, we didn't hear back. So I'm very happy
if we can go forward thanks to a targeted NMU.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Reply sent to Neil Williams <codehelp@debian.org>:
You have taken responsibility. (Sat, 03 Mar 2012 11:55:25 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Sat, 03 Mar 2012 11:55:31 GMT) Full text and rfc822 format available.

Message #43 received at 652759-close@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 652759-close@bugs.debian.org
Subject: Bug#652759: fixed in frei0r 1.1.22git20091109-1.2
Date: Sat, 03 Mar 2012 11:48:30 +0000
Source: frei0r
Source-Version: 1.1.22git20091109-1.2

We believe that the bug you reported is fixed in the latest version of
frei0r, which is due to be installed in the Debian FTP archive:

frei0r-plugins-dev_1.1.22git20091109-1.2_amd64.deb
  to main/f/frei0r/frei0r-plugins-dev_1.1.22git20091109-1.2_amd64.deb
frei0r-plugins-doc_1.1.22git20091109-1.2_all.deb
  to main/f/frei0r/frei0r-plugins-doc_1.1.22git20091109-1.2_all.deb
frei0r-plugins_1.1.22git20091109-1.2_amd64.deb
  to main/f/frei0r/frei0r-plugins_1.1.22git20091109-1.2_amd64.deb
frei0r_1.1.22git20091109-1.2.diff.gz
  to main/f/frei0r/frei0r_1.1.22git20091109-1.2.diff.gz
frei0r_1.1.22git20091109-1.2.dsc
  to main/f/frei0r/frei0r_1.1.22git20091109-1.2.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 652759@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Neil Williams <codehelp@debian.org> (supplier of updated frei0r package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 03 Mar 2012 11:17:14 +0000
Source: frei0r
Binary: frei0r-plugins frei0r-plugins-dev frei0r-plugins-doc
Architecture: source all amd64
Version: 1.1.22git20091109-1.2
Distribution: unstable
Urgency: low
Maintainer: Luca Bigliardi <shammash@artha.org>
Changed-By: Neil Williams <codehelp@debian.org>
Description: 
 frei0r-plugins - minimalistic plugin API for video effects, plugins collection
 frei0r-plugins-dev - minimalistic plugin API for video effects, header files
 frei0r-plugins-doc - minimalistic plugin API for video effects, API documentation
Closes: 652759
Changes: 
 frei0r (1.1.22git20091109-1.2) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix "FTBFS: filter/facedetect/facedetect.c:231:36: error: too few
     arguments to function 'cvHaarDetectObjects'" Supply minimum and
     maximum sizes to mimic previous single size requirement.
     (Closes: #652759)
Checksums-Sha1: 
 2ff58f6566cb4178d399cc17ea5daa040f7f1a5d 1507 frei0r_1.1.22git20091109-1.2.dsc
 870a66d327ebbc1a816c4c140809f0b7ca2157c5 2716 frei0r_1.1.22git20091109-1.2.diff.gz
 152e164b5d757e7367b4a98c2d79e1cba8c6b3c5 30278 frei0r-plugins-doc_1.1.22git20091109-1.2_all.deb
 0f43a630cea38b274f8eb8aa54f0723cbcc30600 357622 frei0r-plugins_1.1.22git20091109-1.2_amd64.deb
 71b7f3cb58122600a59d9334a16dd09199b4de69 9388 frei0r-plugins-dev_1.1.22git20091109-1.2_amd64.deb
Checksums-Sha256: 
 a7851f6a18d2c573ca8d85ddecffbf2fdd6187af8aab2d25ed53502744536b35 1507 frei0r_1.1.22git20091109-1.2.dsc
 f67d350a148bc80cff49362ecffae2536f57f9d527dce1e850ec49e987aa9782 2716 frei0r_1.1.22git20091109-1.2.diff.gz
 100f79e192c3c75f5a15ca723a167223d3785a5c45ffb52edb0cda46a680f778 30278 frei0r-plugins-doc_1.1.22git20091109-1.2_all.deb
 4406561ee8ec0465869cce81b12c3ccdd0aa4fe77478f4751924889cb36e5a5b 357622 frei0r-plugins_1.1.22git20091109-1.2_amd64.deb
 2b9be1569018208ce7991826b136525ccfe60b122fcbb77db276da11570533a4 9388 frei0r-plugins-dev_1.1.22git20091109-1.2_amd64.deb
Files: 
 35151db55ceadf20e681a611d6b5b4cd 1507 video optional frei0r_1.1.22git20091109-1.2.dsc
 e6f68deb3eaf759664abc9f876ea1878 2716 video optional frei0r_1.1.22git20091109-1.2.diff.gz
 c527f8f60460bbf4dccf262b09500b5b 30278 doc optional frei0r-plugins-doc_1.1.22git20091109-1.2_all.deb
 c87d24409f61970de71ba33283afc34e 357622 video optional frei0r-plugins_1.1.22git20091109-1.2_amd64.deb
 9c63f326422d5e57f9ee3af4392665b2 9388 devel optional frei0r-plugins-dev_1.1.22git20091109-1.2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAk9SAI4ACgkQiAEJSii8s+Oc9QCfWru0uGGi0KgnXXcTHg8cZPRb
6RYAoN+VRRxS0feWEhwcwAZSL4mXO1On
=OBtr
-----END PGP SIGNATURE-----





Reply sent to Neil Williams <codehelp@debian.org>:
You have taken responsibility. (Sat, 03 Mar 2012 11:55:52 GMT) Full text and rfc822 format available.

Notification sent to Micah Anderson <micah@debian.org>:
Bug acknowledged by developer. (Sat, 03 Mar 2012 11:56:11 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 03 Apr 2012 07:42:46 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 21:58:16 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.